commit bash-20200319 snapshot

This commit is contained in:
Chet Ramey
2020-03-23 09:43:16 -04:00
parent cf58e12ce6
commit 0b39c3bcd3
14 changed files with 164 additions and 10 deletions
+10 -1
View File
@@ -11,7 +11,13 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#
trap "rm 'a?' aa" EXIT
: ${TMPDIR:=/var/tmp}
FN=$TMPDIR/bash-glob.$$
mkdir $FN || { echo "glob4.sub: cannot mkdir $FN" >&2 ; exit 1; }
builtin cd $FN || { echo "glob4.sub: cannot change directory to $FN" >&2 ; exit 1; }
rm -f *
touch 'a?' aa
set -- a \?; IFS=\\; var=$*;
@@ -30,3 +36,6 @@ printf "%s\n" ${var}
PRE='\/'
printf '<%s>\n' 'define'${PRE}'\
/'
builtin cd $OLDPWD
rm -rf $FN